
Installer - Bug #30789

Possible database connection pool exhaustion

09/07/2020 02:19 PM - Adam Ruzicka

Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: Foreman modules   

Target version: 2.2.0   

Difficulty:  Fixed in Releases: 2.1.4, 2.2.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-for

eman/pull/882,

https://github.com/theforeman/puppet-for

eman/pull/890

  

Description

By default, we configure the db pool to have 5 available connections. However, we also configure puma to spawn 2 workers with up

to 16 threads each. It is possible that if hit with enough requests, puma can run out of connections, leading to errors like:

ActiveRecord::ConnectionTimeoutError: could not obtain a connection from the pool within 5.000 sec

onds (waited 5.003 seconds); all pooled connections were in use

Associated revisions

Revision 026d4743 - 09/25/2020 12:11 AM - Ewoud Kohl van Wijngaarden

Fixes #30789 - Set DB pool size dynamically

Every thread in the Puma worker can open a database connection. This

means it needs to be taken into account to avoid exhasuting the pool.

History

#1 - 09/07/2020 02:54 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/puppet-foreman/pull/882 added

#2 - 09/25/2020 01:01 AM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman:puppet-foreman|026d47434316b8ae318c5e42936edc12859ab475.

#3 - 10/12/2020 12:39 PM - Tomer Brisker

- Target version set to 2.1.4

#4 - 10/12/2020 07:01 PM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-foreman/pull/890 added

#5 - 10/13/2020 01:11 PM - Tomer Brisker

- Target version changed from 2.1.4 to 2.2.0

- Fixed in Releases 2.1.4, 2.3.0 added

updating target version to make sure we don't miss this for 2.2

#6 - 10/14/2020 07:18 AM - Tomer Brisker

05/21/2024 1/2

https://projects.theforeman.org/projects/puppet-foreman/repository/puppet-foreman/revisions/026d47434316b8ae318c5e42936edc12859ab475


- Project changed from Foreman to Installer

#7 - 10/14/2020 07:19 AM - Tomer Brisker

- Category set to Foreman modules

#8 - 10/19/2020 12:04 PM - Tomer Brisker

- Fixed in Releases 2.2.0 added

- Fixed in Releases deleted (2.3.0)

#9 - 10/19/2020 03:40 PM - Ewoud Kohl van Wijngaarden

- Subject changed from Possible connection pool exhaustion to Possible database connection pool exhaustion

- Triaged changed from No to Yes
